<?php
 try {
  // --- connexion à la base de données ---
  $bdd = new PDO('mysql:host=localhost;dbname=CoursPHP', 'root', 'mot_de_passe');
  // --- tableau des attributs ---
  $attributs = array(
              "AUTOCOMMIT", "ERRMODE", "CASE", "CLIENT_VERSION", "CONNECTION_STATUS",
              "ORACLE_NULLS", "PERSISTENT", "SERVER_INFO", "SERVER_VERSION",
              );
  // --- affichage des attributs ---
  foreach ($attributs as $attr) 
  {
   echo "PDO::ATTR_$attr : ";
   echo $bdd->getAttribute(constant("PDO::ATTR_$attr")).PHP_EOL;
  }
 }
 catch(Exception $e) {
  echo 'Erreur  : '.$e->getMessage().PHP_EOL;
 }

?>
